/*
 * file CcTask.java
 *
 * Licensed Materials - Property of IBM 
 * Restricted Materials of IBM  
 * 
 * com.ibm.rational.wvcm.stp.cc.CcTask
 * 
 * (C) Copyright IBM Corporation 2011, 2014.  All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or  
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 */

package com.ibm.rational.wvcm.stp.cc;

import javax.wvcm.Task;

/**
 * Interface for an aggregate object to hold information 
 * about a CM task as stored in ClearCase.  May be from 
 * any system which can represent tasks as URIs such as 
 * an RTC work item.
 * 
 * Despite the name, this is not derived from the WVCM Task
 * interface as it is not a resource.
 */
public interface CcTask extends Task {

    /**
     * Retrieve the URI that specifies the task.
     */
    public String getURI();
    
}
